package com.zksy.property.service;

import com.zksy.property.domain.ARoom;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
* @author Administrator
* @description 针对表【a_room(房间表)】的数据库操作Service
* @createDate 2025-06-26 09:44:49
*/
public interface ARoomService extends IService<ARoom> {

    List<ARoom> getByHouseTypeId(String houseTypeId);
    boolean saveARoom(ARoom aRoom, MultipartFile multipartFile);
    boolean updateARoom(ARoom aRoom, MultipartFile multipartFile);
    boolean removeBatchARoom(String[] ids);
}
